Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.launcher
Class GraphicUtils

    java.lang.Object
      org.jivesoftware.openfire.launcher.GraphicUtils

    public final class GraphicUtils

extends Object

`GraphicsUtils` class defines common user-interface related utility functions.

Field Summary
`protected static Component` | `component`
`static Color` | `SELECTION_COLOR`
`static Color` | `TOOLTIP_COLOR`
`protected static MediaTracker` | `tracker`

Method Summary
`static void` | `centerWindowOnComponent(Window window, Component over)` Centers the window over a component (usually another window).
`static void` | `centerWindowOnScreen(Window window)` Sets the location of the specified window so that it is centered on screen.
`static ImageIcon` | `createImageIcon(Image image)`
`static String` | `createToolTip(String text)`
`static String` | `createToolTip(String text, int width)`
`static void` | `drawHighlightBorder(Graphics g, int x, int y, int width, int height, boolean raised, Color shadow, Color highlight)` Draws a single-line highlight border rectangle.
`static Component` | `focusComponentOrChild(Component c)` Puts the focus on the first component in the tree of `c` that can accept the focus.
`static Component` | `focusComponentOrChild(Component c, boolean deepest)` Puts the focus on the first component in the tree of `c` that can accept the focus.
`static Component` | `getFocusableComponentOrChild(Component c)` Deprecated. replaced by `getFocusableComponentOrChild(Component, boolean)`
`static Component` | `getFocusableComponentOrChild(Component c, boolean deepest)` Returns the first component in the tree of `c` that can accept the focus.
`static Insets` | `getHighlightBorderInsets()` Return the amount of space taken up by a highlight border drawn by `drawHighlightBorder()`.
`static Point` | `getPopupMenuShowPoint(JPopupMenu popup, int x, int y)` Returns a point where the given popup menu should be shown.
`static Point` | `getPopupMenuShowPoint(JPopupMenu popup, MouseEvent event)` Returns a point where the given popup menu should be shown.
`static Rectangle[]` | `getScreenBounds()`
`static boolean` | `isAncestorOfFocusedComponent(Component c)`
`static Image` | `loadFromResource(String imageName, Class cls)` Loads an `Image` named `imageName` as a resource relative to the Class `cls`.
`static void` | `makeSameSize(JComponent[] comps)`
`static String` | `toHTMLColor(Color c)` Return the hexidecimal color from a java.awt.Color

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTION_COLOR

    public static final Color SELECTION_COLOR

### TOOLTIP_COLOR

    public static final Color TOOLTIP_COLOR

### component

    protected static final Component component

### tracker

    protected static final MediaTracker tracker

Method Detail

### centerWindowOnScreen

    public static void centerWindowOnScreen(Window window)

  Sets the location of the specified window so that it is centered on screen.

  Parameters:
    `window` - The window to be centered.

### drawHighlightBorder

    public static void drawHighlightBorder(Graphics g,
                                           int x,
                                           int y,
                                           int width,
                                           int height,
                                           boolean raised,
                                           Color shadow,
                                           Color highlight)

  Draws a single-line highlight border rectangle.

  Parameters:
    `g` - The graphics context to use for drawing.
    `x` - The left edge of the border.
    `y` - The top edge of the border.
    `width` - The width of the border.
    `height` - The height of the border.
    `raised` - `true` if the border is to be drawn raised, `false` if lowered.
    `shadow` - The shadow color for the border.
    `highlight` - The highlight color for the border.
  See Also:
    `EtchedBorder`, `BasicGraphicsUtils`

### getHighlightBorderInsets

    public static Insets getHighlightBorderInsets()

  Return the amount of space taken up by a highlight border drawn by `drawHighlightBorder()`.

  Returns:
    The `Insets` needed for the highlight border.
  See Also:
    `drawHighlightBorder(java.awt.Graphics, int, int, int, int, boolean, java.awt.Color, java.awt.Color)`

### createImageIcon

    public static ImageIcon createImageIcon(Image image)

### getPopupMenuShowPoint

    public static Point getPopupMenuShowPoint(JPopupMenu popup,
                                              MouseEvent event)

  Returns a point where the given popup menu should be shown. The point is calculated by adjusting the X and Y coordinates from the given mouse event so that the popup menu will not be clipped by the screen boundaries.

  Parameters:
    `popup` - the popup menu
    `event` - the mouse event
  Returns:
    the point where the popup menu should be shown

### getPopupMenuShowPoint

    public static Point getPopupMenuShowPoint(JPopupMenu popup,
                                              int x,
                                              int y)

  Returns a point where the given popup menu should be shown. The point is calculated by adjusting the X and Y coordinates so that the popup menu will not be clipped by the screen boundaries.

  Parameters:
    `popup` - the popup menu
    `x` - the x position in screen coordinate
    `y` - the y position in screen coordinates
  Returns:
    the point where the popup menu should be shown in screen coordinates

### centerWindowOnComponent

    public static void centerWindowOnComponent(Window window,
                                               Component over)

  Centers the window over a component (usually another window). The window must already have been sized.

### isAncestorOfFocusedComponent

    public static boolean isAncestorOfFocusedComponent(Component c)

  Returns:
    returns true if the component of one of its child has the focus

### getFocusableComponentOrChild

    @Deprecated
    public static Component getFocusableComponentOrChild(Component c)

  Deprecated. replaced by `getFocusableComponentOrChild(Component, boolean)`

  Returns the first component in the tree of `c` that can accept the focus.

  Parameters:
    `c` - the root of the component hierarchy to search
  See Also:
    `focusComponentOrChild(java.awt.Component)`

### getFocusableComponentOrChild

    public static Component getFocusableComponentOrChild(Component c,
                                                         boolean deepest)

  Returns the first component in the tree of `c` that can accept the focus.

  Parameters:
    `c` - the root of the component hierarchy to search
    `deepest` - if `deepest` is true the method will return the first and deepest component that can accept the focus. For example, if both a child and its parent are focusable and `deepest` is true, the child is returned.
  See Also:
    `focusComponentOrChild(java.awt.Component)`

### focusComponentOrChild

    public static Component focusComponentOrChild(Component c)

  Puts the focus on the first component in the tree of `c` that can accept the focus.

  See Also:
    `getFocusableComponentOrChild(java.awt.Component)`

### focusComponentOrChild

    public static Component focusComponentOrChild(Component c,
                                                  boolean deepest)

  Puts the focus on the first component in the tree of `c` that can accept the focus.

  Parameters:
    `c` - the root of the component hierarchy to search
    `deepest` - if `deepest` is true the method will focus the first and deepest component that can accept the focus. For example, if both a child and its parent are focusable and `deepest` is true, the child is focused.
  See Also:
    `getFocusableComponentOrChild(java.awt.Component)`

### loadFromResource

    public static Image loadFromResource(String imageName,
                                         Class cls)

  Loads an `Image` named `imageName` as a resource relative to the Class `cls`. If the `Image` can not be loaded, then `null` is returned. Images loaded here will be added to an internal cache based upon the full `URL` to their location.

  This method replaces legacy code from JDeveloper 3.x and earlier.

  See Also:
    `Class.getResource(String)`, `Toolkit.createImage(URL)`

### getScreenBounds

    public static Rectangle[] getScreenBounds()

### makeSameSize

    public static final void makeSameSize(JComponent[] comps)

### toHTMLColor

    public static final String toHTMLColor(Color c)

  Return the hexidecimal color from a java.awt.Color

  Parameters:
    `c` -
  Returns:
    hexadecimal string

### createToolTip

    public static final String createToolTip(String text,
                                             int width)

### createToolTip

    public static final String createToolTip(String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.